| Home | Libraries | People | FAQ | More

##### make_deque

###### Description

Returns the result type of `make_deque`.

###### Synopsis

    template <typename ...Elements>
    struct make_deque;

For C++11 compilers, the variadic template interface has no upper bound.

For C++03 The variadic function accepts `0` to `FUSION_MAX_DEQUE_SIZE` elements, where `FUSION_MAX_DEQUE_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_DEQUE_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_DEQUE_SIZE 20

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`Elements` | Variadic template types | Template arguments to `make_deque`

###### Expression Semantics

    result_of::make_deque<Elements...>::type

Return type: A `deque` with elements of types converted following the rules for element conversion.

Semantics: Create a `deque` from `Elements...`.

###### Header

    #include <boost/fusion/container/generation/make_deque.hpp>
    #include <boost/fusion/include/make_deque.hpp>

###### Example

    result_of::make_deque<int, const char(&)[7], double>::type